using AutoMapper;
using System;

namespace WingServerCommon.Mapper
{
    public class AutoMapping
    {
        /// <summary>
        /// Auto mapper instance
        /// </summary>
        public static IMapper MapperInstance { get; }
        private AutoMapping() { }

        static AutoMapping()
        {
            var config = new MapperConfiguration(cfg =>
            {
                cfg.AddMaps(AppDomain.CurrentDomain.GetAssemblies());
            });
            MapperInstance = new AutoMapper.Mapper(config);
        }
    }
}
